Windows Server 2008 SP2 için .NET Framework 2.0, 3.0, 4.5.2, 4.6 Yalnızca Güvenlik Güncelleştirmesi (KB4580470)

Microsoft 365 ile istediğiniz yerde ve tüm cihazlardan çalışın

En son özellikler ve güncelleştirmelerle herhangi bir yerde çalışmak için Microsoft 365 ' e yükseltin.

Şimdi yükselt

Aşağıdakiler için geçerlidir:

Microsoft .NET Framework 2.0 Microsoft .NET Framework 3.0 Microsoft .NET Framework 4.5.2 Microsoft .NET Framework 4.6

ÖNEMLİ Bu güncelleştirmeyi yüklemeden önce bu güncelleştirmeyi nasıl edinebilirsiniz bölümünde listelenen gerekli güncelleştirmeleriyüklemişsiniz.

ÖNEMLİ WINDOWS Server 2008 SP2 için WSUS scan cab dosyaları kullanılabilir olmaya devam edecektir. Bu işletim sistemini ESU olmadan çalıştıran bir cihaz alt kümeniz varsa, bunlar yama yönetimi ve uyumluluk araçları kümeleriniz içinde uyumlu değil olarak gösterebilir.

ÖNEMLİ Bu işletim sistemi şirket içi sürümleri için Genişletilmiş Güvenlik Güncelleştirmesi'i (ESU) satın alan müşterilerin, 14 Ocak 2020'de süresi uzatılmış destek sona erdikten sonra güvenlik güncelleştirmelerini almaya devam etmek için KB4522133'daki yordamları izlemeleri gerekir. ESU hakkında daha fazla bilgi ve desteklenen sürümler hakkında daha fazla bilgi için bkz. KB4497181.

ÖNEMLİ Ağustos 2019'dan başlayarak, Windows Server 2008 SP2 için .NET Framework 4.6 ve üzeri bir güncelleştirme için SHA-2 Kod imzalama desteği gerekiyor. Yükleme sorunlarını önlemek için lütfen bu güncelleştirmeyi uygulamadan önce en son Windows Güncelleştirmelerinin tamam olduğundan emin olun. SHA-2 kod imzalama destek güncelleştirmeleri hakkında daha ayrıntılı bilgi için bkz. KB 4474419.

ÖNEMLİ .NET Framework 4.7.2, 4.7.1, 4.7, 4.6.2, 4.6.1 ve 4.6 güncelleştirmelerinin tüm güncelleştirmeleri d3dcompiler_47.dll gerektirir. Bu güncelleştirmeyi uygulamadan önce d3dcompiler_47.dll güncelleştirmesini yüklemenizi öneririz. Bu makale hakkında daha fazla bilgi d3dcompiler_47.dll KB 4019990 makalene bakın.

ÖNEMLİ Bu güncelleştirmeyi yükledikten sonra bir dil paketi yüklüyse, bu güncelleştirmeyi yeniden yüklemeniz gerekir. Bu nedenle, bu güncelleştirmeyi yüklemeden önce ihtiyacınız olan tüm dil paketlerini yüklemenizi öneririz. Daha fazla bilgi için bkz. Windows'a dil paketleri ekleme.

Bildirim

Bu güncelleştirme, 13 Nisan 2021 tarihinde, bu güncelleştirmenin önceki bir sürümü yerine yayınlandı.

Bu güncelleştirmenin önceki bir sürümü yüklemişse işlem gerekmez.

Güncelleştirilmiş sürümü almak için bu güncelleştirme hakkında ek bilgi altındaki güncelleştirme bağlantılarını izleyin.

Özet

.NET Framework bellekte nesneleri yanlış işle olduğunda bir bilgi açıklanması güvenlik açığı vardır. Güvenlik açığını başarıyla sömüren bir saldırgan etkilenen sistem belleğinin içeriğini açıkebiliyor. Güvenlik açığını istismar etmek için, kimliği doğrulanmış bir saldırgan özel olarak hazırlanmış bir uygulama çalıştırması gerekir. Güncelleştirme, .NET Framework'in bellekte nesneleri nasıl işleyeni düzelterek bu açığı ele almaktadır.  

Güvenlik açıkları hakkında daha fazla bilgi edinmek için aşağıdaki Ortak Güvenlik Açıkları ve Pozlama (YERKARAKS) hatalarına gidin.

Bu güncelleştirmenin bazı bölümleriyle ilgili bilinen sorunlar

Belirti

Bu güncelleştirme yüklenmez ve aşağıdaki hata iletilerinin birini veya her ikisini de döndürür:

  • -2146762495

  • Geçerli sistem saatini veya imzalanmış dosyada zaman damgasını doğrularken, gerekli sertifikanın geçerliliği süresi içinde değil.

Geçici Çözüm

Bu sorun, bu güncelleştirmede etkilenen bölümlerin en son sürümü tarafından düzeltildi.

Etkilenen bölümlerin önceki bir sürümü yüklemişse, hiçbir işlem gerekmez.

Bu güncelleştirme hakkında ek bilgi

Aşağıdaki makaleler, tek tek ürün sürümleriyle ilgili olarak bu güncelleştirme hakkında ek bilgiler içerir.

  • 4578979 Windows Server 2008 SP2 için .NET Framework 2.0, 3.0 Yalnızca Güvenlik Güncelleştirmesi'nin (KB4578979) açıklaması

  • 4578983 Windows 7 SP1 ve Windows Server 2008 R2 SP1 ve Windows Server 2008 SP2 için .NET Framework 4.5.2 Yalnızca Güvenlik Güncelleştirmesi'nin (KB4578983) açıklaması

  • 4578987 Windows 7 SP1 ve Windows Server 2008 R2 SP1 ve Windows Server 2008 SP2 için .NET Framework 4.6 Yalnızca Güvenlik Güncelleştirmesi'nin açıklaması (KB4578987)

Koruma ve güvenlik hakkında bilgiler

Daha fazla yardıma mı ihtiyacınız var?

Yeteneklerinizi geliştirin
Eğitimleri keşfedin
Yeni özellikleri ilk olarak siz edinin
Microsoft Insider 'a katılın

Bu bilgi yardımcı oldu mu?

Geri bildiriminiz için teşekkür ederiz!

Geri bildiriminiz için teşekkürler! Office destek temsilcilerimizden biriyle görüşmeniz yararlı olabilir.

×